Server Authenticator
====================

Authentication Headers
----------------------

The following headers are used to identify yourself to the API client. These should be sent as standard HTTP headers with any API request.

Header:
`X-Server-API-Key`
_The API token for a server that you wish to authenticate with._

Example:
`f29a45f0d4e1744ebaee`


Errors
------

The errors listed below may be raised if any issues occur when verifying your identity with the API.


Error:
`InvalidServerAPIKey`
_The API token provided in X-Server-API-Key was not valid._

Attributes:
`token`
_The token that was looked up_

Error:
`ServerSuspended`
_The mail server has been suspended_

Attributes:
none

| Error | Attributes |
| --- | --- |
| InvalidServerAPIKey
The API token provided in X-Server-API-Key was not valid.| * token   The token that was looked up | 
|ServerSuspended The mail server has been suspended|  |
