Return message details
======================

Returns all details about a message

URL
---

`/api/v1/messages/message`

Access
------

Must be authenticated as a server. If not authorised, a `AccessDenied` error will be returned.

Parameters
----------

| Parameter | Type | Default |
| --- | --- | --- |
|`id`   | Integer | null |

|_The ID of the message_|  | |
 

Errors
------

| Error | Attributes |
| --- | --- |
|`MessageNotFound`| `id` | |
|No message found matching provided ID | The ID of the message |

Response Data
-------------

This action will return a [message structure](message-structure.md).

You will only receive basic data for this structure, no extended data is available. By default, you'll receive no expansions for the structure. You can add them by providing an array of new expansion names in the `_expansions` parameter on the request. You can send `true` rather than array to receive all expansions.